---
title: 'Element: MSGestureHold event'
slug: Web/API/Element/MSGestureHold_event
tags:
  - Event
  - Non-standard
  - Reference
---
<div>{{APIRef}}</div>

<div>{{Non-standard_header}}</div>

<p>The <strong><code>MSGestureHold</code></strong> event is fired when the user contacts the touch surface and remains in the same position for a while.</p>

<p>It is a proprietary event specific to Microsoft Edge and Internet Explorer.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Unknown</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MSGestureEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>Unknown</td>
  </tr>
 </tbody>
</table>

<p>The {{domxref("UIEvent.detail")}} property of an <code>MSGestureHold</code> event has 3 possible values:</p>

<dl>
 <dt><code>MSGESTURE_FLAG_BEGIN</code></dt>
 <dd>This value indicates that the user started contacting the touch surface.</dd>
 <dt><code>MSGESTURE_FLAG_END</code></dt>
 <dd>This value indicates that the user has stopped touching the touch surface.</dd>
 <dt><code>MSGESTURE_FLAG_END &amp; MSGESTURE_FLAG_CANCEL</code> (bitwise AND-ed together)</dt>
 <dd>This value indicates that the user has moved their finger, regardless of whether they also stopped touching the touch surface</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.MSGestureHold_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Related events:
  <ul>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureStart_event">MSGestureStart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureEnd_event">MSGestureEnd</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureTap_event">MSGestureTap</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSGestureChange_event">MSGestureChange</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/MSInertiaStart_event">MSInertiaStart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gesturestart_event">gesturestart</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gesturechange_event">gesturechange</a></code></li>
   <li><code><a href="/en-US/docs/Web/API/Element/gestureend_event">gestureend</a></code></li>
  </ul>
 </li>
</ul>
